Browse Source

update install_requirements.sh

raven 8 months ago
parent
commit
e7607cd4cb
1 changed files with 3 additions and 2 deletions
  1. 3 2
      install_requirements.sh

+ 3 - 2
install_requirements.sh

@@ -16,19 +16,20 @@ exit 0;
 debian(){
 apt-get update && \
     apt-get install \
-    ghostscript imagemagick libimage-exiftool-perl sqlite3 coreutils nginx pdfinfo bc
+    ghostscript imagemagick libimage-exiftool-perl sqlite3 coreutils nginx pdfinfo bc recode
 	# libio-compress-perl libdigest-sha-perl
 }
 
 rhel() {
 dnf install \
-    ghostscript ImageMagick perl-Image-ExifTool sqlite coreutils nginx poppler-utils podman-docker perl-IO-Compress perl-Digest-SHA bc
+    ghostscript ImageMagick perl-Image-ExifTool sqlite coreutils nginx poppler-utils podman-docker perl-IO-Compress perl-Digest-SHA bc recode
 }
 
 termux() {
 pkg update && \
     pkg install \
     wget git tor ghostscript imagemagick exiftool sqlite coreutils nginx poppler bc
+	# recode does not exist on termux repos.
 }